MDI douments (entupd)

Discussion in 'AutoCAD' started by mark, Dec 31, 2003.

  1. mark

    mark Guest

    hello all,

    working in MDI,
    when i draw objects from my active document
    to another document in the same set...i.e
    (vla-get-Documents (vlax-get-Acad-Object))
    the object shows as soon as the user makes the document active,
    but when i change some attribute value in the other document...i.e
    (vlax-for itm (vla-get-modelspace <other doc>
    (if (and (= (vla-get-objectname itm) "AcDbBlockReference")
    (= (vla-get-hasattributes itm) ':vlax-true))
    (progn
    (setq atts (vla-getattributes itm))
    (foreach att (vlax-safearray->list (vlax-variant-value atts))
    (vla-put-textstring att "STRING") ) ) )) )
    then the change will only show, after i make that document
    active and a regen,
    i guess i am looking for the (entupd) equivalent in ActiveX,
    can somebody help

    TIA
    mark
     
    mark, Dec 31, 2003
    #1
  2. vla-update ?
     
    Jason Piercey, Dec 31, 2003
    #2
  3. mark

    mark Guest

    that is what i thought, it works in the active doc,
    but not in another doc, i still have to do a regen,
    i tried using sendcommand, it complicated things more

    thanks
     
    mark, Dec 31, 2003
    #3
  4. Have you tried vla-regen?
     
    Jason Piercey, Jan 2, 2004
    #4
  5. mark

    mark Guest

    Jason,
    actually, it does work,
    sometimes, the simplest solution
    is the last to be looked at...
    thanks
    mark
     
    mark, Jan 5, 2004
    #5
  6. Glad I could help.
     
    Jason Piercey, Jan 5, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.